Bug 939 - Xprint startup/shutdown should happen automatically on Darwin
Summary: Xprint startup/shutdown should happen automatically on Darwin
Status: RESOLVED WONTFIX
Alias: None
Product: xprint
Classification: Unclassified
Component: Server: Config: startup scripts (show other bugs)
Version: unspecified
Hardware: PowerPC Mac OS X (All)
: high enhancement
Assignee: Roland Mainz
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-28 18:37 UTC by Torrey T. Lyons
Modified: 2011-09-13 12:31 UTC (History)
3 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Torrey T. Lyons 2004-07-28 18:37:39 UTC
The Xprint startup/shutdown script is installed in /etc/init.d/xprint on Darwin as on other OSes, but it 
does nothing there. Darwin uses StartupItems (or bootstrap daemons on Panther) to start things at boot 
time. On the other hand the X server is typically run rootless in a per user context on Mac OS X, so 
perhaps Xprint should be as well.
Comment 1 Roland Mainz 2004-10-15 21:19:13 UTC
Reassign to "Xprint" product...
Comment 2 Roland Mainz 2004-10-15 23:27:05 UTC
References/links:
- Apple docs for "Startup items"
http://developer.apple.com/documentation/MacOSX/Conceptual/BPSystemStartup/Tasks/CreatingStartupItems.html
- Darwin stores startup items under /System/Library/StartupItems/
- Alternatively there is a 2nd startup mechanism in Darwin whic uses the
following two dirs:
  /etc/mach_init.d/
  /etc/mach_init_per_user.d/
... but I have no clue how this works... ;-(
Comment 3 Roland Mainz 2004-10-15 23:29:03 UTC
Torrey:
Is there a way that a "Startup Item" can set an environment variable (e.g.
something like % export FOO=bar #) for all users ?
Comment 4 Torrey T. Lyons 2004-10-26 17:21:09 UTC
As far as I know, there is no way for a startup item to set an environment variable for all users. The 
issues here are the same as on other *nix variants. You can modify /etc/csh.login or /etc/bashrc. You 
can also set environment variables for all processes launched by a specific user using a ~/.MacOSX/
environment.plist file as described at <http://developer.apple.com/qa/qa2001/qa1067.html>. (The 
web page does not mention this, but you have to logout and in again for changes to this file to take 
effect.) Unfortunately, I don't believe there is any way to do this except on a user by user basis.

When XDarwin is launched from the Finder, it starts all the X clients with several environment variables 
set appropriately. This is another way to set environment variables for all users. In this case, all xterms 
and other X clients will have the environment variable set correctly although non-X clients such as 
Apple's Terminal application will not.
Comment 5 Corbin Simpson 2011-09-13 12:31:12 UTC
Closing WONTFIX because nobody cares about Xprint. Reopen if you plan to address this bug.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.